slink-2-slink

来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 40 行

TXT
40
字号
#!/bin/sh# `test cp --update A B' where A and B are both symlinks that point# to the same fileif test "$VERBOSE" = yes; then  set -x  cp --versionfi. $srcdir/../envvar-check# Make sure we get English translations.. $srcdir/../lang-defaultpwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0trap 'exit $?' 1 2 13 15framework_failure=0mkdir -p $tmp || framework_failure=1cd $tmptouch file || framework_failure=1ln -s file a || framework_failure=1ln -s file b || framework_failure=1ln -s no-such-file c || framework_failure=1ln -s no-such-file d || framework_failure=1if test $framework_failure = 1; then  echo 'failure in testing framework'  exit 1fifail=0cp --update --no-dereference a b || fail=1cp --update --no-dereference c d || fail=1(exit $fail); exit

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?